Get Ethereum Fee History

Returns a collection of Ethereum historical gas information.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

API detailed page: [link]

Transformation Logic:

SELECT
  DATE_TRUNC('hour', b.process_time) AS datetime,
  AVG(gas_limit) AS gas_limit,
  AVG(gas_used) AS gas_used,
  AVG(gas_used) / AVG(gas_limit) AS utilization, 
  SUM(num_of_transactions) as total_transactions_count 
FROM
  ethereum_mainnet.blocks b
WHERE
  process_time >= NOW() - INTERVAL '10' YEAR
GROUP BY
  1
ORDER BY
  datetime DESC; 
Body Params

request to submit query

string
Headers
string
required

api key

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json